jQuery(document).ready(function ($) {
  // -------------spin-------------------
  var resultWrapper = $(".spin-result-wrapper");
  var wheel = $(".wheel-img");
  var popupIsOpen = false;

  $(".cursor-text").on("click", function (event) {
    $(this).off(event);
    if (!wheel.hasClass("rotated")) {
      wheel.addClass("super-rotation");
      setTimeout(function () {
        resultWrapper.css({
          display: "block",
        });
        popupIsOpen = true;
        $(".spin-wrapper").slideUp();
        $(".order_block").slideDown();
        resultWrapper.fadeIn();
        var fiveSeconds = new Date().getTime() + 600000;
        $("#clock")
          .countdown(fiveSeconds, { elapse: true })
          .on("update.countdown", function (event) {
            var $this = $(this);
            if (event.elapsed) {
              $this.html("Time is over");
            } else {
              $this.html(
                event.strftime(
                  "<span class='time-item'>%M</span> phút : <span class='time-item'>%S</span>"
                )
              );
            }
          });
      }, 8000);
      wheel.addClass("rotated");
    }
  });

  // --------------POPUP-------------------
  function closingPopup() {
    if (popupIsOpen) {
      popupIsOpen = false;
      resultWrapper.fadeOut();
      $("body,html").animate({ scrollTop: $(".toscroll").offset().top }, 400);
      $(".close-popup, .pop-up-button").unbind("touchend, click");
    }
  }

  $(document).keydown(function (e) {
    if (e.keyCode === 27 && popupIsOpen) {
      closingPopup();
    }
  });

  $(".close-popup, .pop-up-button").on("touchend, click", function (e) {
    e.preventDefault();
    closingPopup();
  });

  // --------------SCROLL-------------------
  $("a").on("touchend, click", function (e) {
    e.preventDefault();
    $("body,html").animate({ scrollTop: $(".toscroll").offset().top }, 400);
  });

  $(".ac_footer a, .ac_gdpr_fix a").unbind("click");
});
